<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });
});	

	function pilih(ID){
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_kode.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(kode);				
				$("#txt_tanggal").val(data.tgl);				
				$("#form_cari_bmj").dialog('close');
				$('#data_detail').show();
				tampil_data_detail();				
			}
		});		
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").load("modul/jurnal_umum/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	function cari_total(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_tdebet").val(data.tdebet);
				$("#txt_tkredit").val(data.tkredit);				
			}
		});
	}	
</script>

<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';

$cari = $_POST['cari'];
echo "<table id='theList' width='100%'>
		<tr>
			<th>No.</th>
			<th>No. Bukti</th>
			<th>Tanggal</th>			
			<th>Jml. Item</th>
			<th>Jml. Debet</th>
			<th>Jml. Kredit</th>
			<th>Posting</th>
			<th>Pilih</th>
		</tr>";
		
		if(!empty($cari))
			$query = "SELECT kode_ju,tanggal,count(noakun) as totitem,sum(debet) as tdebet,sum(kredit) as tkredit,posting FROM jurnalum WHERE kode_ju LIKE '%$cari%' AND posting='' GROUP BY kode_ju ";
		else
			$query = "SELECT kode_ju,tanggal,count(noakun) as totitem,sum(debet) as tdebet,sum(kredit) as tkredit,posting FROM jurnalum WHERE posting='' GROUP BY kode_ju ";
		
		$sql= mysql_query($query);
				
		$no=1;
		while($r_data=mysql_fetch_array($sql)){
			echo "<tr>
					<td align='center'>$no</td>
					<td align='center'>$r_data[kode_ju]</td>
					<td align='center'>".jin_date_str($r_data[tanggal])."</td>					
					<td align='center'>$r_data[totitem]</td>
					<td align='right'>".number_format($r_data[tdebet],2)."</td>
					<td align='right'>".number_format($r_data[tkredit],2)."</td>
					<td align='center'>$r_data[posting]</td>
					<td align='center'><a href='javascript:void(0)' onClick=\"pilih('$r_data[kode_ju]')\">
						<img src='images/view.png' border='0' id='edit' title='Pilih BKK' width='12' height='12' ></a>
					</td>
				</tr>";
			$no++;								
		}

	echo "</table>";
?>